package com.cim.idm.model;

import java.io.Serializable;
import java.util.Map;

public class PrintRequest implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -612099232013619915L;
	private String libraryID;
	private String relativePath;
	private String absolutePath;
	private String documentPassword;
	private String printRequestID;
	private String printer;
	private Integer startingPosition;
	private Integer copies;
	private Integer serialNumbers;
	private Map<String, String> namedDataSources;
	private Map<String, String> dataEntryControls;
	public String getLibraryID() {
		return libraryID;
	}
	public void setLibraryID(String libraryID) {
		this.libraryID = libraryID;
	}
	public String getRelativePath() {
		return relativePath;
	}
	public void setRelativePath(String relativePath) {
		this.relativePath = relativePath;
	}
	public String getAbsolutePath() {
		return absolutePath;
	}
	public void setAbsolutePath(String absolutePath) {
		this.absolutePath = absolutePath;
	}
	public String getDocumentPassword() {
		return documentPassword;
	}
	public void setDocumentPassword(String documentPassword) {
		this.documentPassword = documentPassword;
	}
	public String getPrintRequestID() {
		return printRequestID;
	}
	public void setPrintRequestID(String printRequestID) {
		this.printRequestID = printRequestID;
	}
	public String getPrinter() {
		return printer;
	}
	public void setPrinter(String printer) {
		this.printer = printer;
	}
	public Integer getStartingPosition() {
		return startingPosition;
	}
	public void setStartingPosition(Integer startingPosition) {
		this.startingPosition = startingPosition;
	}
	public Integer getCopies() {
		return copies;
	}
	public void setCopies(Integer copies) {
		this.copies = copies;
	}
	public Integer getSerialNumbers() {
		return serialNumbers;
	}
	public void setSerialNumbers(Integer serialNumbers) {
		this.serialNumbers = serialNumbers;
	}
	public Map<String, String> getNamedDataSources() {
		return namedDataSources;
	}
	public void setNamedDataSources(Map<String, String> namedDataSources) {
		this.namedDataSources = namedDataSources;
	}
	public Map<String, String> getDataEntryControls() {
		return dataEntryControls;
	}
	public void setDataEntryControls(Map<String, String> dataEntryControls) {
		this.dataEntryControls = dataEntryControls;
	}
	
	public PrintRequest() {
		super();
	}
	
}
